Bug 868489 - iaxclient is FTBFS on ARM
iaxclient is FTBFS on ARM
Status: CLOSED DUPLICATE of bug 927443
Product: Fedora
Classification: Fedora
Component: iaxclient (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-10-20 05:52 EDT by Peter Robinson
Modified: 2013-07-15 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 22:10:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-10-20 05:52:36 EDT
iaxclient is FTBFS on ARM

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1211092

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I./portmixer/px_common -pthread -I../lib/libiax2/src -DLIBIAX -pthread -I/usr/include/alsa -Wall -Wextra -Wno-unused-parameter -Wpointer-arith -DLIBVER=\"2.1beta3\" -I/usr/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -c ringbuffer.c  -fPIC -DPIC -o .libs/ringbuffer.o
ringbuffer.c:124:11: error: #error Memory barriers are not defined on this system. You can still compile by defining ALLOW_SMP_DANGERS, but SMP safety will not be guaranteed.
ringbuffer.c: In function 'rb_GetRingBufferReadAvailable':
ringbuffer.c:198:5: warning: implicit declaration of function 'rb_ReadMemoryBarrier' [-Wimplicit-function-declaration]
ringbuffer.c: In function 'rb_AdvanceRingBufferWriteIndex':
ringbuffer.c:256:5: warning: implicit declaration of function 'rb_WriteMemoryBarrier' [-Wimplicit-function-declaration]
make[2]: *** [ringbuffer.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
Comment 1 Fedora End Of Life 2013-04-03 13:48:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Tom "spot" Callaway 2013-07-15 22:10:08 EDT

*** This bug has been marked as a duplicate of bug 927443 ***

Note You need to log in before you can comment on or make changes to this bug.